Page MenuHomePhabricator

How to create Lua libraries for extensions/ Make extension functionality usable from Lua
Closed, ResolvedPublic

Description

This will be a session where I'll briefly show how MediaWiki extensions can extend Scribunto by defining own Lua libraries.

I'll go through all needed steps to create and register the library with Scribunto. I'll also briefly show how to write tests for it.

Event Timeline

hoo created this task.May 18 2018, 9:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 9:36 AM
hoo moved this task from Backlog to Session on the Wikimedia-Hackathon-2018 board.
hoo renamed this task from How to create Lua libraries for extension/ Make extension functionality usable from Lua to How to create Lua libraries for extensions/ Make extension functionality usable from Lua.May 18 2018, 10:08 PM

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

hoo closed this task as Resolved.May 24 2018, 8:47 PM
Vvjjkkii renamed this task from How to create Lua libraries for extensions/ Make extension functionality usable from Lua to yscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hoo as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from yscaaaaaaa to How to create Lua libraries for extensions/ Make extension functionality usable from Lua.Jul 2 2018, 4:03 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to hoo.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.